curl --request POST \
--url https://api.tightknit.ai/admin/v0/calendar_events \
--header 'Authorization: Bearer <token>' \
--header 'content-type: <content-type>' \
--data '
{
"end_date": "2023-11-07T05:31:56Z",
"start_date": "2023-11-07T05:31:56Z",
"title": "<string>",
"allow_public_guest_list": false,
"description": {
"blocks": [
{
"type": "rich_text",
"elements": [
{
"type": "rich_text_section",
"elements": [
{
"type": "broadcast"
}
]
}
],
"block_id": "<string>"
}
]
},
"enable_registration_button": false,
"external_speakers": "<string>",
"is_unlisted": false,
"link": "<string>",
"location": "<string>",
"luma_event_id": "<string>",
"publish_to_site": true,
"triggers_webhooks": false,
"recap": {
"blocks": [
{
"type": "rich_text",
"elements": [
{
"type": "rich_text_section",
"elements": [
{
"type": "broadcast"
}
]
}
],
"block_id": "<string>"
}
]
},
"recording_link": "<string>",
"webhook_custom_metadata": "<string>",
"show_end_date": true,
"slug": "<string>",
"status": "published",
"use_registration_btn_as_link": false,
"publish_to_slack_channels": [],
"hosts": {
"slack_user_ids": [
"<string>"
]
},
"speakers": {
"slack_user_ids": [
"<string>"
]
},
"cover_image_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reminders_config": [
{
"minutes": 10
}
]
}
'import requests
url = "https://api.tightknit.ai/admin/v0/calendar_events"
payload = {
"end_date": "2023-11-07T05:31:56Z",
"start_date": "2023-11-07T05:31:56Z",
"title": "<string>",
"allow_public_guest_list": False,
"description": { "blocks": [
{
"type": "rich_text",
"elements": [
{
"type": "rich_text_section",
"elements": [{ "type": "broadcast" }]
}
],
"block_id": "<string>"
}
] },
"enable_registration_button": False,
"external_speakers": "<string>",
"is_unlisted": False,
"link": "<string>",
"location": "<string>",
"luma_event_id": "<string>",
"publish_to_site": True,
"triggers_webhooks": False,
"recap": { "blocks": [
{
"type": "rich_text",
"elements": [
{
"type": "rich_text_section",
"elements": [{ "type": "broadcast" }]
}
],
"block_id": "<string>"
}
] },
"recording_link": "<string>",
"webhook_custom_metadata": "<string>",
"show_end_date": True,
"slug": "<string>",
"status": "published",
"use_registration_btn_as_link": False,
"publish_to_slack_channels": [],
"hosts": { "slack_user_ids": ["<string>"] },
"speakers": { "slack_user_ids": ["<string>"] },
"cover_image_file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reminders_config": [{ "minutes": 10 }]
}
headers = {
"content-type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'content-type': '<content-type>', Authorization: 'Bearer <token>'},
body: JSON.stringify({
end_date: '2023-11-07T05:31:56Z',
start_date: '2023-11-07T05:31:56Z',
title: '<string>',
allow_public_guest_list: false,
description: {
blocks: [
{
type: 'rich_text',
elements: [{type: 'rich_text_section', elements: [{type: 'broadcast'}]}],
block_id: '<string>'
}
]
},
enable_registration_button: false,
external_speakers: '<string>',
is_unlisted: false,
link: '<string>',
location: '<string>',
luma_event_id: '<string>',
publish_to_site: true,
triggers_webhooks: false,
recap: {
blocks: [
{
type: 'rich_text',
elements: [{type: 'rich_text_section', elements: [{type: 'broadcast'}]}],
block_id: '<string>'
}
]
},
recording_link: '<string>',
webhook_custom_metadata: '<string>',
show_end_date: true,
slug: '<string>',
status: 'published',
use_registration_btn_as_link: false,
publish_to_slack_channels: [],
hosts: {slack_user_ids: ['<string>']},
speakers: {slack_user_ids: ['<string>']},
cover_image_file_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reminders_config: [{minutes: 10}]
})
};
fetch('https://api.tightknit.ai/admin/v0/calendar_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"calendar_event_id": "<string>"
}
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}{
"success": true,
"error": {
"code": "<string>",
"message": "<string>",
"hint": "<string>"
}
}Create calendar event
Creates a new calendar event.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
application/json Body
3 - 70The event description in Slack message content format.
Show child attributes
Show child attributes
The event recap in Slack message content format.
Show child attributes
Show child attributes
The URL slug for the event. If not provided, one will be generated based off the title.
3 - 70The event status. Events created with "published" status will immediately be published to the specified Slack channel(s) and possibly to the site. Events created with "needs_approval" status will be submitted for admin approval. Events cannot be created with "draft" status from the API.
needs_approval, published The Slack channel(s) that the event announcements are posted to when published. If empty, no Slack announcements are made.
10The user(s) featured as a host for the event, which must be one of the following: Slack user IDs, emails, or Tightknit profile IDs
Show child attributes
Show child attributes
The user(s) featured as a speaker for the event, which must be one of the following: Slack user IDs, emails, or Tightknit profile IDs
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related topics
Delete calendar eventList calendar eventsRetrieve calendar eventUpdate calendar event attendeeTriggered when a calendar event endsWas this page helpful?

